! B1 =B +(y -B*s)*sT/sT*s
! B =A-old; B1 =A

subroutine Broyden_Update_1(n, B, s, y, B1)
real(4) B(n,n), B1(n,n)
real(4) y(n), s(n), y_Bs(n), DB(n,n), sTs

sTs =DOT_PRODUCT(s,s)
y_Bs = y -matmul(B, s)
 
call col_line_prod(n, y_Bs, s, DB)
DB =DB/sTs

B1 =B +DB

END


